import type { AppRouteModule } from '@/router/types';

import { LAYOUT } from '@/router/constant';

const annualPlan: AppRouteModule = {
  path: '/annualPlan',
  name: 'annualPlan',
  component: LAYOUT,
  redirect: '/annualPlan/index',
  meta: {
    hideChildrenInMenu: true,
    icon: 'icon-park-outline:align-text-left-one',
    orderNo: 10,
    auth: '/www/dist/index.html#/annualPlan/index',
    title: '年度工程资金计划',
  },
  children: [
    {
      path: 'index',
      name: 'annualPlan',
      component: () => import('@/views/annualPlan/index.vue'),
      meta: {
        auth: '/www/dist/index.html#/annualPlan/index',
        title: '年度工程资金计划',
        orderNo: 10,
      },
    },
    {
      path: 'annualPlanEdit',
      name: 'annualPlanEdit',
      component: () => import('@/views/annualPlan/annualPlanEdit/annualPlanEdit.vue'),
      meta: {
        auth: '/www/dist/index.html#/annualPlan/index',
        title: '新建计划（储备）',
        orderNo: 8,
      },
    },
  ],
};

export default annualPlan;
