import type { AppRouteModule } from '@/router/types';

import { LAYOUT } from '@/router/constant';

const biddingManagement: AppRouteModule = {
  path: '/biddingManagement',
  name: 'BiddingManagement',
  component: LAYOUT,
  redirect: '/biddingManagement/index',
  meta: {
    hideChildrenInMenu: true,
    icon: 'tdesign:map-aiming',
    orderNo: 3,
    auth: '/www/dist/index.html#/biddingManagement/index',
    title: '招标管理',
  },
  children: [
    {
      path: 'index',
      name: 'biddingManagement',
      component: () => import('@/views/biddingManagement/index.vue'),
      meta: {
        auth: '/www/dist/index.html#/biddingManagement/index',
        title: '招标管理',
        orderNo: 3,
      },
    },
    {
      path: 'edit',
      name: 'biddingManagementEdit',
      component: () => import('@/views/biddingManagement/biddingManagementEdit.vue'),
      meta: {
        auth: '/www/dist/index.html#/biddingManagement/index',
        title: '招标管理',
        orderNo: 3,
      },
    },
  ],
};

export default biddingManagement;
