import type { AppRouteModule } from '@/router/types';

import { LAYOUT } from '@/router/constant';

const biddingPlan: AppRouteModule = {
  path: '/biddingPlan',
  name: 'biddingPlan',
  component: LAYOUT,
  redirect: '/biddingPlan/index',
  meta: {
    hideChildrenInMenu: true,
    icon: 'mingcute:aiming-2-line',
    orderNo: 2,
    auth: '/www/dist/index.html#/biddingPlan/index',
    title: '招标计划',
  },
  children: [
    {
      path: 'index',
      name: 'plan',
      component: () => import('@/views/biddingPlan/index.vue'),
      meta: {
        auth: '/www/dist/index.html#/biddingPlan/index',
        title: '招标计划',
        orderNo: 2,
      },
    },
    {
      path: 'edit',
      name: 'planEdit',
      component: () => import('@/views/biddingPlan/biddingPlanEdit.vue'),
      meta: {
        auth: '/www/dist/index.html#/biddingPlan/index',
        title: '招标计划',
        orderNo: 2,
      },
    },
  ],
};

export default biddingPlan;
