import type { AppRouteModule } from '@/router/types';

import { LAYOUT } from '@/router/constant';

const completed: AppRouteModule = {
  path: '/completed',
  name: 'completed',
  component: LAYOUT,
  redirect: '/completed/index',
  meta: {
    hideChildrenInMenu: true,
    icon: 'icon-park-outline:align-text-left-one',
    orderNo: 12,
    auth: '/www/dist/index.html#/completed/index',
    title: '已竣工验收项目陈欠资金计划',
  },
  children: [
    {
      path: 'index',
      name: 'completed',
      component: () => import('@/views/completed/index.vue'),
      meta: {
        auth: '/www/dist/index.html#/completed/index',
        title: '已竣工验收项目陈欠资金计划',
        orderNo: 12,
      },
    },
    {
      path: 'completedEdit',
      name: 'completedEdit',
      component: () => import('@/views/completed//completedEdit/completedEdit.vue'),
      meta: {
        auth: '/www/dist/index.html#/completed/index',
        title: '新建已竣工验收项目陈欠资金计划',
        orderNo: 12,
      },
    },
  ],
};

export default completed;
