import type { AppRouteModule } from '@/router/types';

import { LAYOUT } from '@/router/constant';

const engineeringProject: AppRouteModule = {
  path: '/engineeringProject',
  name: 'engineeringProject',
  component: LAYOUT,
  redirect: '/engineeringProject/index',
  meta: {
    hideChildrenInMenu: true,
    icon: 'icon-park-outline:align-text-left-one',
    orderNo: 8,
    auth: '/www/dist/index.html#/engineeringProject/index',
    title: '工程项目投资计划',
  },
  children: [
    {
      path: 'index',
      name: 'engineeringProject',
      component: () => import('@/views/engineeringProject/index.vue'),
      meta: {
        auth: '/www/dist/index.html#/engineeringProject/index',
        title: '工程项目投资计划',
        orderNo: 8,
      },
    },
    {
      path: 'engineeringEdit',
      name: 'engineeringEdit',
      component: () => import('@/views/engineeringProject/engineeringEdit/engineeringEdit.vue'),
      meta: {
        auth: '/www/dist/index.html#/engineeringProject/index',
        title: '新建计划（工程）',
        orderNo: 8,
      },
    },
    {
      path: 'constructionEdit',
      name: 'constructionEdit',
      component: () => import('@/views/engineeringProject/constructionEdit/constructionEdit.vue'),
      meta: {
        auth: '/www/dist/index.html#/engineeringProject/index',
        title: '新建计划（承建）',
        orderNo: 8,
      },
    },
    {
      path: 'reserveEdit',
      name: 'reserveEdit',
      component: () => import('@/views/engineeringProject/reserveEdit/reserveEdit.vue'),
      meta: {
        auth: '/www/dist/index.html#/engineeringProject/index',
        title: '新建计划（储备）',
        orderNo: 8,
      },
    },
  ],
};

export default engineeringProject;
