import type { AppRouteModule } from '@/router/types';

import { LAYOUT } from '@/router/constant';

const performance: AppRouteModule = {
  path: '/performance',
  name: 'performance',
  component: LAYOUT,
  redirect: '/performance/index',
  meta: {
    hideChildrenInMenu: true,
    icon: 'icon-park-outline:align-text-left-one',
    orderNo: 9,
    auth: '/www/dist/index.html#/performance/index',
    title: '工程项目投资计划完成情况',
  },
  children: [
    {
      path: 'index',
      name: 'performance',
      component: () => import('@/views/performance/index.vue'),
      meta: {
        auth: '/www/dist/index.html#/performance/index',
        title: '工程项目投资计划完成情况',
        orderNo: 9,
      },
    },
    {
      path: 'edit',
      name: 'performanceEdit',
      component: () => import('@/views/performance/performanceEdit.vue'),
      meta: {
        auth: '/www/dist/index.html#/performance/index',
        title: '工程项目投资计划完成情况',
        orderNo: 9,
      },
    },
  ],
};

export default performance;
