import type { AppRouteModule } from '@/router/types';

import { LAYOUT } from '@/router/constant';

const potentialSafety: AppRouteModule = {
  path: '/potentialSafety',
  name: 'potentialSafety',
  component: LAYOUT,
  redirect: '/potentialSafety/index',
  meta: {
    hideChildrenInMenu: true,
    icon: 'icon-park-outline:align-text-left-one',
    orderNo: 6,
    auth: '/www/dist/index.html#/potentialSafety/index',
    title: '安全隐患管理',
  },
  children: [
    {
      path: 'index',
      name: 'potentialSafety',
      component: () => import('@/views/potentialSafety/index.vue'),
      meta: {
        auth: '/www/dist/index.html#/potentialSafety/index',
        title: '安全隐患管理',
        orderNo: 6,
      },
    },
  ],
};

export default potentialSafety;
