import type { AppRouteModule } from '@/router/types';

import { LAYOUT } from '@/router/constant';

const safetyEducation: AppRouteModule = {
  path: '/safetyEducation',
  name: 'safetyEducation',
  component: LAYOUT,
  redirect: '/safetyEducation/index',
  meta: {
    hideChildrenInMenu: true,
    icon: 'icon-park-outline:align-text-left-one',
    orderNo: 7,
    auth: '/www/dist/index.html#/safetyEducation/index',
    title: '安全教育培训',
  },
  children: [
    {
      path: 'index',
      name: 'safetyEducation',
      component: () => import('@/views/safetyEducation/index.vue'),
      meta: {
        auth: '/www/dist/index.html#/safetyEducation/index',
        title: '安全教育培训',
        orderNo: 7,
      },
    },
  ],
};

export default safetyEducation;
