import type { AppRouteModule } from '@/router/types';

import { LAYOUT } from '@/router/constant';

const settlementManagement: AppRouteModule = {
  path: '/settlementManagement',
  name: 'SettlementManagement',
  component: LAYOUT,
  redirect: '/settlementManagement/index',
  meta: {
    hideChildrenInMenu: true,
    icon: 'icon-park-outline:align-text-left-one',
    orderNo: 4,
    auth: '/www/dist/index.html#/settlementManagement/index',
    title: '结算管理',
  },
  children: [
    {
      path: 'index',
      name: 'settlementManagement',
      component: () => import('@/views/settlementManagement/index.vue'),
      meta: {
        auth: '/www/dist/index.html#/settlementManagement/index',
        // affix: true,
        title: '结算管理',
        orderNo: 4,
      },
    },
    {
      path: 'edit',
      name: 'settlementManageEdit',
      component: () => import('@/views/settlementManagement/settlementManageEdit.vue'),
      meta: {
        auth: '/www/dist/index.html#/settlementManagement/index',
        // affix: true,
        title: '新建结算管理',
        orderNo: 8,
      },
    },
  ],
};

export default settlementManagement;
